﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;
using System.Data;


namespace SedSRL
{
    public partial class FormPrincipal : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }



        protected void tabPrincipal_TabClick(object sender, Telerik.Web.UI.RadTabStripEventArgs e)
        {
            if (e.Tab.Value == "2")
            {
                _Gridcobertura.DataBind();
                _Gridcobertura.Visible = true;
                tblCobertura.Visible = true;
            
            }

        }


        private void Addcoverage()
        {
            Cobertura c = new Cobertura();
            c.Razonsocial = txtrazonsocial.Text;
            c.Nfantasia = txtfantasia.Text ;
            c.contacto = txtcontacto.Text;
            c.cc = txtcuil.Text;
            c.direccion = txtdireccion.Text;
            c.localidad = combolocalidad.Text;
            c.Addcoverage();
            _Gridcobertura.DataBind();

        
        
        }

        private void Clearcontroles()
        {
            txtrazonsocial.Text ="";
            txtfantasia.Text="";
            txtcontacto.Text="";
            txtcuil.Text="";
            txtdireccion.Text="";
            combolocalidad.ClearSelection();

        }


        protected void Ingresar_Click(object sender, EventArgs e)
        {
            Addcoverage();
            Clearcontroles();
        }
        
        protected void _Gridcobertura_ItemCommand(object sender, GridCommandEventArgs e)
        {

        }

        protected void _Gridcobertura_UpdateCommand(object sender, GridCommandEventArgs e)
        {
            Cobertura c = new Cobertura();
            GridEditableItem editItem = e.Item as GridEditableItem;
            Hashtable newValues = new Hashtable(); e.Item.OwnerTableView.ExtractValuesFromItem(newValues, editItem);
            c.idcobertura = Convert.ToInt32(editItem.GetDataKeyValue("Idcobertura"));
            c.contacto = newValues["Contacto"].ToString();
            c.Razonsocial = newValues["Razonsocial"].ToString();
            c.Nfantasia = newValues["Nfantasia"].ToString();
            c.cc = newValues["CC"].ToString();
            c.direccion = newValues["Direccion"].ToString();
            c.localidad = newValues["Localidad"].ToString();
            c.Updatecoverage();
      
        }

        protected void _Gridcobertura_DeleteCommand(object sender, GridCommandEventArgs e)
        {
            Cobertura c = new Cobertura();
            GridEditableItem editItem = e.Item as GridEditableItem;
            c.idcobertura = Convert.ToInt32(editItem.GetDataKeyValue("Idcobertura"));
            c.Deletecoverage();
            _Gridcobertura.DataBind();
        }


        protected void _Gridcobertura_ItemDataBound(object sender, GridItemEventArgs e)
        {
            if (e.Item is GridDataItem)
            {
                GridDataItem item = (GridDataItem)e.Item;
                ((LinkButton)item["AutoGeneratedEditColumn"].Controls[0]).Text = "Ver";
                ((LinkButton)item["AutoGeneratedDeleteColumn"].Controls[0]).Text = "Eliminar";
             
            }

            

  
        }

        protected void MenuPrincipal_ItemClick(object sender, RadMenuEventArgs e)
        {

            string _val = e.Item.Text;
            if (_val == "Listar Coberturas")
            {
                _Gridcobertura.Visible = true;
            
            }


        } 




            



       

      

     
    
        
        

  


    }
}